<?xml version="1.0"?>
<!-- 
   $Id: sdb2rss.xsl,v 1.5 2004/08/06 23:39:49 rwald Exp $
   Rodney Waldhoff
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:import href="sdb2tigris.xsl"/>

<xsl:output method="xml"/>
<!-- xsl:output cdata-section-elements="description"/ -->

<xsl:template match="news">
  <rss version="2.0">
    <channel>
      <title>Axion - Java Database - <xsl:value-of select="newsinfo/title"/></title>
      <description><xsl:value-of select="newsinfo/description"/></description>
      <link><xsl:value-of select="newsinfo/link"/></link>
      <language>en</language>
      <copyright>Copyright &#169; <xsl:apply-templates select="newsinfo/copyright/year"/><xsl:text> </xsl:text><xsl:apply-templates select="newsinfo/copyright/holder"/></copyright>
      <lastBuildDate><xsl:value-of select="newsitem[position() = 1]/newsiteminfo/date/@rssStyle"/></lastBuildDate>
      <ttl>60</ttl> 
      <xsl:apply-templates select="newsitem"/>
    </channel>
  </rss>
</xsl:template>

<xsl:template match="newsitem[@rss='no']"></xsl:template>

<xsl:template match="newsitem">
  <item>  
   <title><xsl:value-of select="newsiteminfo/title"/></title>
   <link><xsl:value-of select="/news/newsinfo/link"/>?<xsl:value-of select="newsiteminfo/date/@ts"/>#<xsl:value-of select="newsiteminfo/date/@ts"/></link>
   <description><xsl:text disable-output-escaping="yes">&lt;![CDATA[</xsl:text><xsl:apply-templates select="*"/><xsl:text disable-output-escaping="yes">]]&gt;</xsl:text></description>
   <guid><xsl:value-of select="/news/newsinfo/link"/>?<xsl:value-of select="newsiteminfo/date/@ts"/>#<xsl:value-of select="newsiteminfo/date/@ts"/></guid>
   <pubDate><xsl:value-of select="newsiteminfo/date/@rssStyle"/></pubDate>
   <xsl:apply-templates select="newsiteminfo/categories/category"/>
  </item>
</xsl:template>

<xsl:template match="newsiteminfo"></xsl:template>

<xsl:template match="category">
  <category><xsl:value-of select="@name"/></category>
</xsl:template>


</xsl:stylesheet>
