<?xml version="1.0"?>
<!-- 
   Simplified DocBook to Tigris-style HTML transform
   $Id: sdb2tigris.xsl,v 1.30 2007/11/15 15:00:05 rwald Exp $
   Rodney Waldhoff
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:param name="publishDate"/>

<xsl:template match="article">
  <html>
    <head>
      <link rel="stylesheet" type="text/css" href="http://www.tigris.org/branding/style.css" />
      <title>Axion - Java Database - <xsl:value-of select="articleinfo/title"/></title>
      <meta http-equiv="Content-language" content="en-US" />
      <meta name="keywords" content="Axion, AxionDB, Java, DB, Database, Java Database, Open Source Java Database Engine, Relational database, open source database, JDBC, RDBMS, ORDBMS, SQL, Pure Java, data" /> 
      <meta name="description" content="Axion: Java Database: Axion DB is a lightweight, high-performance, open source, 100% Java relational database supporting JDBC and SQL." /> 
      <meta name="robots" content="ALL" /> 
      <meta name="rating" content="General" /> 
      <meta name="author" content="Axion Development Team" /> 
      <meta name="DC.Title" content="Axion: Java Database Engine" /> 
      <meta name="DC.Creator" content="Axion Development Team" /> 
      <meta name="DC.Identifier" content="http://axion.tigris.org/" /> 
      <meta name="DC.Language" content="en" /> 
      <meta name="DC.Rights" content="Copyright (c) 2002-2007 Axion Development Team" /> 
      <meta name="DC.Format" content="html" /> 
    </head>
    <body>
      <h1>Axion: <xsl:apply-templates select="articleinfo/title"/></h1>

      <xsl:apply-templates select="section"/>

      <xsl:apply-templates select="articleinfo"/>
    </body>
  </html>
</xsl:template>

<xsl:template match="articleinfo|newsinfo">
      <hr size="1" width="100%" noshade="true" />
	  <div style="float: left">
      <div align="left">Axion - Open Source Java Database Engine</div>      
      <div align="left"><a href="http://axion.tigris.org/index.html" title="Axion - Open Source Java Database Engine">http://axion.tigris.org/</a></div>
      </div>
      <div style="float: right">
      <xsl:if test="releaseinfo[@role='CVS']">      
        <div align="right"><small><xsl:value-of select="releaseinfo[@role='CVS']"/></small></div>
      </xsl:if>
      <xsl:if test="$publishDate">      
        <div align="right">Published <xsl:value-of select="$publishDate"/>.</div>
      </xsl:if>
      <xsl:if test="copyright">
        <div align="right">
           <a href="http://axion.tigris.org/unbranded-source/browse/*checkout*/axion/LICENSE.txt?rev=HEAD" title="License information">
             Copyright &#169; 
             <xsl:apply-templates select="copyright/year"/> 
             <xsl:text> </xsl:text>
             <xsl:apply-templates select="copyright/holder"/>.
             All rights reserved.
           </a>
        </div>
      </xsl:if>
      </div>
</xsl:template>

<!-- our custom news format -->
<xsl:template match="news">
  <html>
    <head>
      <title>Axion - Java Database - <xsl:value-of select="newsinfo/title"/></title>
      <link rel="stylesheet" type="text/css" href="http://www.tigris.org/branding/style.css" />
      <link rel="alternate" type="application/rss+xml" title="RSS" href="http://axion.tigris.org/news.rss" />
      <meta http-equiv="Content-language" content="en-US" />
      <meta name="keywords" content="Axion, AxionDB, Java, DB, Database, Java Database, Relational database, open source database, JDBC, RDBMS, ORDBMS, SQL, Pure Java, data" /> 
      <meta name="description" content="Axion: Java Database: AxionDB is a lightweight, high-performance, open source, 100% Java relational database supporting JDBC and SQL." /> 
      <meta name="robots" content="ALL" /> 
      <meta name="rating" content="General" /> 
      <meta name="author" content="Axion Development Team" /> 
      <meta name="DC.Title" content="Axion: Java Database Engine" /> 
      <meta name="DC.Creator" content="Axion Development Team" /> 
      <meta name="DC.Identifier" content="http://axion.tigris.org/" /> 
      <meta name="DC.Language" content="en" /> 
      <meta name="DC.Rights" content="Copyright (c) 2002-2007 Axion Development Team" /> 
      <meta name="DC.Format" content="html" /> 
    </head>
    <body>
      <div align="right">
        <a href="news.rss" title="RSS 2.0 version of this page"><img src="./images/rss.gif" border="0" width="36" height="14" alt="rss.xml" /></a>
      </div>
      <h1>Axion: <xsl:apply-templates select="newsinfo/title"/></h1>
      <xsl:apply-templates select="newsitem"/>
      <div align="right">
        <a href="news.rss" title="RSS 2.0 version of this page"><img src="./images/rss.gif" border="0" width="36" height="14" alt="rss.xml" /></a>
      </div>
      <xsl:apply-templates select="newsinfo"/>
    </body>
  </html>
</xsl:template>

<xsl:template match="newsitem">
  <div class="app">
   <a name="{newsiteminfo/date/@ts}"/>
   <h3><xsl:value-of select="newsiteminfo/title"/> [<xsl:value-of select="newsiteminfo/date"/>] <a href="{/news/newsinfo/link}?{newsiteminfo/date/@ts}#{newsiteminfo/date/@ts}" title="permalink">#</a></h3>
   <xsl:apply-templates select="abstract|authorblurb|blockquote|epigraph|example|figure|informaltable|itemizedlist|literallayout|mediaobject|note|orderedlist|para|programlisting|section|sidebar|table|variablelist"/>
  </div>
  <br clear="all" />
</xsl:template>
<!-- / our custom news format (everything else is just docbook) -->

<xsl:template match="section">
  <div class="app">
   <xsl:if test="@id"><a name="{@id}" /></xsl:if>
   <xsl:if test="title"><h3><xsl:value-of select="title"/></h3></xsl:if>
   <xsl:apply-templates select="abstract|authorblurb|blockquote|epigraph|example|figure|informaltable|itemizedlist|literallayout|mediaobject|note|orderedlist|para|programlisting|section|sidebar|table|variablelist"/>
  </div>
  <br clear="all" />
</xsl:template>

<xsl:template match="section[ancestor::section]">
  <div class="app" style="margin-left: +20px;">
   <xsl:if test="@id"><a name="{@id}" /></xsl:if>
   <h3><xsl:value-of select="title"/></h3>
   <xsl:apply-templates select="abstract|authorblurb|blockquote|epigraph|example|figure|informaltable|itemizedlist|literallayout|mediaobject|note|orderedlist|para|programlisting|section|sidebar|table|variablelist"/>
  </div>
  <br clear="all" />
</xsl:template>

<xsl:template match="figure">
   <xsl:apply-templates select="mediaobject/imageobject/imagedata"/>
</xsl:template>

<xsl:template match="figure/mediaobject/imageobject/imagedata">
  <xsl:if test="../../../@id"><a name="{../../../@id}" /></xsl:if>
  <xsl:element name="img">
    <xsl:attribute name="src"><xsl:value-of select="@fileref"/></xsl:attribute>
    <xsl:if test="@width"><xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute></xsl:if>
    <xsl:if test="@height"><xsl:attribute name="height"><xsl:value-of select="@height"/></xsl:attribute></xsl:if>
    <xsl:if test="../../../title"><xsl:attribute name="alt"><xsl:value-of select="../../../title"/></xsl:attribute></xsl:if>
    <xsl:if test="@align"><xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute></xsl:if>
	  </xsl:element>
</xsl:template>

<xsl:template match="example">
  <table border="0" cellspacing="0" cellpadding="4" width="95%" align="center">
    <tr>
      <th>
        <xsl:if test="@id"><a name="{@id}" /></xsl:if>
        <xsl:value-of select="title"/>
      </th>
    </tr>
    <tr class="a">
      <td>
        <xsl:apply-templates select="blockquote|informaltable|itemizedlist|literallayout|mediaobject|orderedlist|para|programlisting|variablelist"/>
      </td>
    </tr>
 </table>
</xsl:template>

<xsl:template match="informaltable">
  <table border="1" cellspacing="0" cellpadding="2">
    <xsl:apply-templates/>
  </table>
</xsl:template>

<xsl:template match="thead|tfoot|tbody">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="row">
  <tr><xsl:apply-templates/></tr>
</xsl:template>

<xsl:template match="thead/row/entry">
  <th><xsl:apply-templates/></th>
</xsl:template>

<xsl:template match="entry">
  <td align="{@align}"><xsl:apply-templates/></td>
</xsl:template>

<xsl:template match="para">
  <p>
    <xsl:apply-templates/>
  </p>
</xsl:template>

<xsl:template match="ulink">
  <a href="{@url}">
    <xsl:choose>
      <xsl:when test=".//text()"><xsl:apply-templates/></xsl:when>
      <xsl:otherwise><xsl:value-of select="@url"/></xsl:otherwise>
    </xsl:choose>
  </a>
</xsl:template>

<xsl:template match="link">
  <a href="#{@linkend}">
    <xsl:choose>
      <xsl:when test="@endterm">
        <xsl:apply-templates select="id(@endterm)"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates/>
      </xsl:otherwise>
    </xsl:choose>
  </a>
</xsl:template>

<xsl:template match="command|filename|systemitem|literal">
  <code><xsl:apply-templates/></code>
</xsl:template>

<xsl:template match="computeroutput">
  <code><span style="color: purple"><xsl:apply-templates/></span></code>
</xsl:template>

<xsl:template match="userinput">
  <code><xsl:apply-templates/></code>
</xsl:template>

<xsl:template match="emphasis">
  <xsl:choose>
   <xsl:when test="@role='bold' or @role='strong'">
     <b><xsl:apply-templates/></b>
   </xsl:when>
   <xsl:otherwise>
     <i><xsl:apply-templates/></i>
   </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="replaceable">
  <i><xsl:apply-templates/></i>
</xsl:template>

<xsl:template match="programlisting|literallayout">
  <pre><xsl:apply-templates/></pre>
</xsl:template>

<xsl:template match="orderedlist">
  <ol><xsl:apply-templates/></ol>
</xsl:template>

<xsl:template match="itemizedlist">
  <ul><xsl:apply-templates/></ul>
</xsl:template>

<xsl:template match="variablelist">
  <blockquote><dl><xsl:apply-templates/></dl></blockquote>
</xsl:template>

<xsl:template match="varlistentry">
  <xsl:if test="@id"><a name="{@id}" /></xsl:if>
  <dt><xsl:apply-templates select="term"/></dt>
  <dd><xsl:apply-templates select="listitem/*|listitem/text()"/></dd>
</xsl:template>

<xsl:template match="listitem">
  <li><xsl:apply-templates/></li>
</xsl:template>

</xsl:stylesheet>
