/*
 * $Id: AxionSQLStateCode.java,v 1.1 2005/03/19 02:08:49 ahimanikya Exp $
 * =======================================================================
 * Copyright (c) 2005 Axion Development Team.  All rights reserved.
 *  
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions 
 * are met:
 * 
 * 1. Redistributions of source code must retain the above 
 *    copyright notice, this list of conditions and the following 
 *    disclaimer. 
 *   
 * 2. Redistributions in binary form must reproduce the above copyright 
 *    notice, this list of conditions and the following disclaimer in 
 *    the documentation and/or other materials provided with the 
 *    distribution. 
 *   
 * 3. The names "Tigris", "Axion", nor the names of its contributors may 
 *    not be used to endorse or promote products derived from this 
 *    software without specific prior written permission. 
 *  
 * 4. Products derived from this software may not be called "Axion", nor 
 *    may "Tigris" or "Axion" appear in their names without specific prior
 *    written permission.
 *   
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * =======================================================================
 */

package org.axiondb;


/**
 * SQLState codes consisti of 5 characters. The first 2 characters specify the error
 * class, the last three characters specify the subclass. For example, the SQLSTATE value
 * '22012' consists of class code 22 (data exception) and subclass code 012 (division by
 * zero). * Each of the five characters in a SQLSTATE value is a digit (0..9) or an
 * uppercase Latin letter (A..Z).
 * <p>
 * Class codes that begin with a digit in the range 0..4 or a letter in the range A..H are
 * reserved for predefined conditions. Within predefined classes, subclass codes that
 * begin with a digit in the range 0..4 or a letter in the range A..H are reserved for
 * predefined sub-conditions. All other subclass codes are reserved for
 * implementation-defined sub-conditions. (see ANSI-SQL99 specification).
 * 
 * @version $Revision: 1.1 $ $Date: 2005/03/19 02:08:49 $
 * @author Ahimanikya Satapathy
 */
public class AxionSQLStateCode extends Exception {
    public final static int DEFAULT_VENDOR_CODE = 99999; //catch-all
   
}