/*
 * $Id: TestTransactionalLobsDisk.java,v 1.2 2003/09/06 06:12:42 rwald Exp $
 * =======================================================================
 * Copyright (c) 2003 Axion Development Team.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The names "Tigris", "Axion", nor the names of its contributors may
 *    not be used to endorse or promote products derived from this
 *    software without specific prior written permission.
 *
 * 4. Products derived from this software may not be called "Axion", nor
 *    may "Tigris" or "Axion" appear in their names without specific prior
 *    written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * =======================================================================
 */

package org.axiondb.functional;

import java.io.File;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @version $Revision: 1.2 $ $Date: 2003/09/06 06:12:42 $
 * @author Rodney Waldhoff
 */
public class TestTransactionalLobsDisk extends TestTransactionalLobs {

    //------------------------------------------------------------ Conventional

    public TestTransactionalLobsDisk(String testName) {
        super(testName);
    }

    public static Test suite() {
        return new TestSuite(TestTransactionalLobsDisk.class);
    }

    //--------------------------------------------------------------- Lifecycle
    private File _dbDir = new File(".", "testdb");

    private String _axiondbLobdir = null;
    
    public void setUp() throws Exception {
        _axiondbLobdir = System.getProperty("axiondb.lobdir");
        System.setProperty("axiondb.lobdir","testdb");
        super.setUp();
    }

    public void tearDown() throws Exception {
        super.tearDown();
        if(null == _axiondbLobdir) {
            System.getProperties().remove("axiondb.lobdir");
        } else {
            System.setProperty("axiondb.lobdir",_axiondbLobdir);
        }
        deleteFile(_dbDir);
    }

    //------------------------------------------------------------------ Super

    public String getConnectString() {
        return "jdbc:axiondb:diskdb:testdb";
    }

}
